Description

hello,

it would be useful, if qgis could show the user defined error messages (from the mssql server backend) in the qgis messagebar details.

now are this errors/messages not visible in the messagebar while editing for instance...

MSSQL example for user defined error:

RAISERROR (N'This is my errorstring.', -- Message text.

           18, -- Severity,

           1  -- State

);

under the postgres dataprovider it works with this defined error/exception, qgis show the 'This is my errorstring.' in the messagebar

details.

RAISE EXCEPTION 'This is my errorstring.'

thanks

jan

History

#1 - 2014-06-17 09:39 AM - Jürgen Fischer

- Assignee deleted (Jürgen Fischer)

- Category changed from Data Provider to Data Provider/MSSQL

#2 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#3 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#4 - 2018-06-23 02:38 PM - Jan Lippmann

- Status changed from Open to Closed

Now it works with qgis 3.2.
